Check up to 100 permissions
POST /v1/authorization/check/bulk: Check up to 100 permissions.
POST /
- Scope
authorization:read- Auth
- Secret key (
sk_…) - Since
- 1.0
Headers
Section titled “Headers”
Minor version; defaults to the environment’s pin.OhAuthCat-Versionstring
Request body
Section titled “Request body”checksarray of AuthorizationCheck Requiredmin items 1 · max items 100
Responses
Section titled “Responses”- 200 OK AuthorizationBulkDecision
- 400 Invalid request. Codes: parameter_invalid, parameter_missing, version_unsupported and resource-specific codes from the catalogue. Error
- 401 Codes: authentication_required, api_key_invalid. Error
- 403 Codes: api_key_scope_missing, ip_not_allowed, plan_limit_reached. Error
- 429 Code: rate_limited. Retry-After is set. Error
- 503 Code: service_unavailable. Retry-After is set; writes are paused. Error
- default Any other error, including internal_error. Every code is in the error catalogue. Error
Errors share one shape; see the error code catalogue.
curl -X POST \ "https://api.ohauthcat.com/v1/authorization/check/bulk" \ -H "Authorization: Bearer $OHAUTHCAT_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "checks": [ { "membership": "om_01J9Z3K5V7W8X9Y0Z1A2B3C4D5", "user": "usr_01J9Z3K5V7W8X9Y0Z1A2B3C4D5", "organization": "org_01J9Z3K5V7W8X9Y0Z1A2B3C4D5", "permission": "organizations:read", "resource": { "type": "default", "id": "01J9Z3K5V7W8X9Y0Z1A2B3C4D5" } } ]}'const response = await fetch("https://api.ohauthcat.com/v1/authorization/check/bulk", { method: "POST", headers: { Authorization: `Bearer ${process.env.OHAUTHCAT_API_KEY}`, "Content-Type": "application/json", }, body: JSON.stringify({ "checks": [ { "membership": "om_01J9Z3K5V7W8X9Y0Z1A2B3C4D5", "user": "usr_01J9Z3K5V7W8X9Y0Z1A2B3C4D5", "organization": "org_01J9Z3K5V7W8X9Y0Z1A2B3C4D5", "permission": "organizations:read", "resource": { "type": "default", "id": "01J9Z3K5V7W8X9Y0Z1A2B3C4D5" } } ] }),});const data = await response.json();import osimport requests
response = requests.post( "https://api.ohauthcat.com/v1/authorization/check/bulk", headers={"Authorization": f"Bearer {os.environ['OHAUTHCAT_API_KEY']}"}, json={ "checks": [ { "membership": "om_01J9Z3K5V7W8X9Y0Z1A2B3C4D5", "user": "usr_01J9Z3K5V7W8X9Y0Z1A2B3C4D5", "organization": "org_01J9Z3K5V7W8X9Y0Z1A2B3C4D5", "permission": "organizations:read", "resource": { "type": "default", "id": "01J9Z3K5V7W8X9Y0Z1A2B3C4D5", }, }, ], },)data = response.json(){ "object": "list", "data": [ { "object": "authorization_decision", "authorized": true, "membership": "om_01J9Z3K5V7W8X9Y0Z1A2B3C4D5" } ]}